package com.admin.major.domain;

import com.admin.common.annotation.Excel;
import com.admin.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 数据归档对象 m_data_file
 * 
 * @author ljx
 * @date 2022-06-24
 */
public class DataFile extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 归档id */
    private Long dataFileId;

    /** 归档学院 */
    @Excel(name = "归档学院")
    private Long collegeId;

    /** 归档年份 */
    @Excel(name = "归档年份")
    private String year;

    public void setDataFileId(Long dataFileId) 
    {
        this.dataFileId = dataFileId;
    }

    public Long getDataFileId() 
    {
        return dataFileId;
    }
    public void setCollegeId(Long collegeId) 
    {
        this.collegeId = collegeId;
    }

    public Long getCollegeId() 
    {
        return collegeId;
    }
    public void setYear(String year) 
    {
        this.year = year;
    }

    public String getYear() 
    {
        return year;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("dataFileId", getDataFileId())
            .append("collegeId", getCollegeId())
            .append("year", getYear())
            .toString();
    }
}
